import { Buff } from '@cmdcode/buff';
import { TxOutput } from '@scrow/tapscript';
import { PaymentEntry, PathEntry, ProposalData, ProgramQuery, ProgramTerms, ProgramData, SignerAPI } from '../types/index.js';
type PathTotal = [path: string, total: number];
export declare function filter_path(label: string, paths: PathEntry[]): PathEntry[];
export declare function get_path_names(paths: PathEntry[]): string[];
export declare function get_pay_total(payments: PaymentEntry[]): number;
export declare function get_addrs(paths: PathEntry[]): string[];
export declare function get_path_vouts(label: string, paths?: PathEntry[], payouts?: PaymentEntry[]): TxOutput[];
export declare function get_path_total(paths: PathEntry[]): PathTotal[];
export declare function get_proposal_id(proposal: ProposalData): Buff;
export declare function find_program(query: ProgramQuery, terms: ProgramTerms[]): ProgramData | undefined;
export declare function endorse_proposal(proposal: ProposalData, signer: SignerAPI): string;
export {};
